Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6019 - duplicate symbols in libpthread
Summary: duplicate symbols in libpthread
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 6.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-17 03:21 UTC by jreiser
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-05 01:29:32 UTC


Attachments (Terms of Use)

Description jreiser 1999-10-17 03:21:58 UTC
There are two global symbols 'pthread_create'
and two global symbols 'pthread_attr_init'
in /lib/libpthread-0.8.so .

$ nm -D /lib/libpthread-0.8.so | grep pthread_create
00006c34 T pthread_create
00006354 T pthread_create
$

and similarly for pthread_attr_init.  This is wasted space,
and possibly a logic bug (if in either case the two are
not duplicates of each other).

Comment 1 Cristian Gafton 2000-01-05 01:29:59 UTC
Those are really

00006794 T pthread_create@@GLIBC_2.1
000070e4 T pthread_create@GLIBC_2.0

In other words, versioned implementations of the same function for backwards
compatibility.


Note You need to log in before you can comment on or make changes to this bug.